PackageSearcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.util.classes
Class PackageSearcher

    java.lang.Object
      org.jagatoo.util.classes.PackageSearcher

    public class PackageSearcher

extends java.lang.Object

The `PackageSearcher` provides utility methods to search classes.

Author:
  Marvin Froehlich (aka Qudus)

Method Summary
`static java.util.List<java.lang.String>` | `findPackages(boolean includeParents, boolean includeSubpackages, java.lang.String... packagePrefixes)` Reads all sub-packages from given packages into a List.
`static java.util.List<java.lang.String>` | `findPackages(java.lang.String... packagePrefixes)` Reads all sub-packages from given packages into a List.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findPackages

    public static java.util.List<java.lang.String> findPackages(boolean includeParents,
                                                                boolean includeSubpackages,
                                                                java.lang.String... packagePrefixes)

  Reads all sub-packages from given packages into a List.

  Parameters:
    `includeParents` - include the packages from the passed-in list themselfs into the result list
    `includeSubpackages` - include the packages not directly in the searched packages into the result list
    `packagePrefixes` - dot separated package prefix names (like "org.xith3d.test")
  Returns:
    the filled up List

### findPackages

    public static java.util.List<java.lang.String> findPackages(java.lang.String... packagePrefixes)

  Reads all sub-packages from given packages into a List.

  Parameters:
    `packagePrefixes` - dot separated package prefix names (like "org.xith3d.test")
  Returns:
    the filled up List

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD